From cb60c63a1c266729fec678d0b1ad5d49fa71a0fe Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sat, 27 May 2023 12:17:58 +0200
Subject: [PATCH 1/2] Drop unused KF5Config

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt     | 1 -
 src/CMakeLists.txt | 2 --
 2 files changed, 3 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 43d62ef..ac753ff 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -63,7 +63,6 @@ find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
 find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS 
     Kirigami2 
     I18n 
-    Config 
     CoreAddons
     WindowSystem
 )
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 664865b..f5576f4 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -26,8 +26,6 @@ target_link_libraries(krecorder
     Qt5::Multimedia
     Qt5::Svg
     KF5::I18n
-    KF5::ConfigCore
-    KF5::ConfigGui
     KF5::CoreAddons
     KF5::WindowSystem
 )
-- 
2.40.1


From 75f8647733304fa485d18ed007a44644d5e4d906 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sat, 27 May 2023 12:23:01 +0200
Subject: [PATCH 2/2] Mark KF5Kirigami2 RUNTIME required only

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index ac753ff..a7a6477 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -60,12 +60,16 @@ find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
     QuickCompiler
 )
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS 
-    Kirigami2 
-    I18n 
+find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+    I18n
     CoreAddons
     WindowSystem
 )
+
+find_package(KF5Kirigami2 ${KF_MIN_VERSION})
+set_package_properties(KF5Kirigami2 PROPERTIES
+    TYPE RUNTIME
+)
 find_package(KF5KirigamiAddons 0.6 REQUIRED)
 
 add_subdirectory(src)
-- 
2.40.1

